# SolrClient::setServlet

(PECL solr >= 0.9.2)

SolrClient::setServlet — Cambia el servlet especificado a un nuevo valor

### Descripción

public SolrClient::setServlet(int `$type`, string `$value`): bool

Cambia el servlet especificado a un nuevo valor

### Parámetros

`type`

  Uno de los siguientes tipos:

      - SolrClient::SEARCH_SERVLET_TYPE
       - SolrClient::UPDATE_SERVLET_TYPE
       - SolrClient::THREADS_SERVLET_TYPE
       - SolrClient::PING_SERVLET_TYPE
       - SolrClient::TERMS_SERVLET_TYPE

`value`

  El nuevo valor para el servlet

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.